<?php

/**
 * The Header Template
 *
 * @package Dotspice
 * @version 1.3.0
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<?php
	$header_favicon = get_field('header_favicon', 'options');
	if ($header_favicon) : ?>
		<link rel="shortcut icon" href="<?php echo esc_url($header_favicon['url']); ?>" />
	<?php endif; ?>
	<?php wp_head(); ?>
	<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-108055419-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-108055419-1');
</script>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-W22WWVT');</script>
<!-- End Google Tag Manager -->
</head>

<body <?php body_class(); ?> <?php dotspice_schema('body'); ?>>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-W22WWVT"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
	<div id="wrapper">
		<?php dotspice_dynamic_sidebar('before-header', '<div class="before-header"><div class="container">', '</div></div>'); ?>

		<header class="site-header" <?php dotspice_schema('header'); ?>>
			<?php if (($header_sticky = dotspice_get_theme_option('header_sticky', 'none')) != 'none') : ?>
				<div class="sticky-area" data-type="<?php echo esc_attr($header_sticky); ?>">
				<?php endif; ?>
				<div class="container">
					<nav class="navbar">
						<?php

						// Additional Menu
						if (has_nav_menu('additional')) {
							dotspice_navbar_menu_btn('additional');

							wp_nav_menu(array(
								'theme_location'  => 'additional',
								'container_class' => 'navbar-nav navbar-nav__additional',
								'menu_class'      => 'navbar-nav__menu navbar-nav__additional__menu',
							));
						} ?>

						<a href="https://torebki-fabiola.pl/" class="navbar-brand" rel="home"><img class="navbar-brand__image" src="/wp-content/uploads/logo-svg/logo-main.svg" alt="Torebki Fabiola – sklep internetowy z torebkami" width="77" height="74"></a>

						<div class="navbar-btns">
							<?php

							// Mobile Menu
							if (has_nav_menu('primary')) {
								dotspice_navbar_menu_btn();
							}

							// Languages
							dotspice_navbar_content_btn('languages');

							// Search Posts
							dotspice_navbar_content_btn('search_posts');

							// Search Products
							dotspice_navbar_content_btn('search_products');

							// Mini Cart
							dotspice_navbar_content_btn('mini_cart');

							// Account
							dotspice_navbar_content_btn('account');

							// Additional Buttons
							do_action('dotspice_header_buttons');
							?></div>
						<?php

						// Primary Menu
						if (has_nav_menu('primary')) {
							wp_nav_menu(array(
								'theme_location'  => 'primary',
								'container_class' => 'navbar-nav navbar-nav__primary',
								'menu_class'      => 'navbar-nav__menu',
							));
						}
						?>
					</nav>
				</div>
				<?php if ($header_sticky != 'none') : ?>
				</div>
			<?php endif; ?>
		</header><!-- .site-header -->

		<?php dotspice_dynamic_sidebar('jumbotron', '<div class="jumbotron">', '</div>'); ?>

		<main class="site-content" <?php dotspice_schema('main'); ?>>
			<div class="<?php dotspice_content_class(); ?>">
				<?php if (!is_page_template('templates/page-full-width.php')) : ?>
					<div class="container">
					<?php endif ?>